Subject: [bug#71425] test: Accommodate C23 compilers.

From: Karl Berry <[email-masked]>
Date: Sun, 16 Jun 2024 14:39:05 -0600

Hi Collin,

    In the yacc test I see warnings like this:

    main.c:4:10: error: implicit declaration of function 'yyparse' [-Wimplicit-function-declaration]
        4 |   return yyparse ();
          |          ^~~~~~~

    and some for yylex which is declared, but with an empty parameter list
    instead of void.

    I assume this is because GCC becoming more strict to conform with C23
    requirements. I did these tests with GCC 14.1.

    I have attached a patch fixing these tests on my system.

Thanks for the report and patch. I applied it. I fear new
incompatibility errors with other systems in other cases, since these
yyparse/yylex declarations have been a constant pain ever since they
started getting "improved", but I guess we'll find out. --thanks, karl.